#ifndef _PS_PARSE_H_
#define _PS_PARSE_H_
#include <stdio.h>

/* typedef int ps_parse_status_t */
#define PS_PARSE_ERROR_MIN -2
#define PS_PARSE_BUFF_ERROR -2
#define PS_PARSE_INVALID -1
#define PS_PARSE_END 0
#define PS_PARSE_OK 1
#define PS_PARSE_STATUS_MAX 1

/* typedef int ps_token_type_t */
#define PS_UNKNOWN (1 << 0)
#define PS_TOKEN (1 << 1)
#define PS_NAME (1 << 2)
#define PS_STRING (1 << 3)
#define PS_STRING_AHX (1 << 4)
#define PS_STRING_A85 (1 << 5)
#define PS_INTEGER (1 << 6)
#define PS_REAL (1 << 7)
#define PS_RADIX (1 << 8)
#define PS_BEGIN_ARRAY (1 << 9)
#define PS_END_ARRAY (1 << 10)
#define PS_BEGIN_PROC (1 << 11)
#define PS_END_PROC (1 << 12)
#define PS_BEGIN_DICT (1 << 13)
#define PS_END_DICT (1 << 14)

extern void ps_parse_set_verbose (void);
extern int ps_parse_read_line (FILE *stream, char *buffer, int bufflen);
extern int ps_parse_get_token (FILE *stream, int *type,
			       char *dest, int destlen);

#endif /*  _PS_PARSE_H_ */
